OracleVM 3.3 / 3.4 : python (OVMSA-2016-0099) (httpoxy)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing one or more security updates.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- Add Oracle Linux distribution in platform.py [orabug
21288328] (Keshav Sharma)

- Fix for CVE-2016-1000110 HTTPoxy attack Resolves:
rhbz#1359161

- Fix for CVE-2016-0772 python: smtplib StartTLS stripping
attack (rhbz#1303647) Raise an error when STARTTLS fails
(upstream patch)

- Fix for CVE-2016-5699 python: http protocol steam
injection attack (rhbz#1303699) Disabled HTTP header
injections in httplib (upstream patch) Resolves:
rhbz#1346354

See also :

http://www.nessus.org/u?ee4ea01f
http://www.nessus.org/u?5114db7e

Solution :

Update the affected python / python-libs packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N)
CVSS Temporal Score : 4.5
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: OracleVM Local Security Checks

Nessus Plugin ID: 93038 ()

Bugtraq ID:

CVE ID: CVE-2016-0772
CVE-2016-1000110
CVE-2016-5699

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now